# Note that this is NOT a relocatable package
%define ver     0.4.01
%define rel     0
%define prefix  /usr/local

Name:      xine
Summary:   A Free Video Player.
Version:   %{ver}
Release:   %{rel}
Copyright: GPL
Group:     Applications/X11
Source:    http://xine.sourceforge.net/files/xine_0.4.01.tar.gz
URL:       http://xine.sourceforge.net
Packager:  Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
BuildRoot: /tmp/%{name}-root

%description
xine is a free gpl-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate
has been seen on a 400 MHz P II system.

%description -l fr
xine est un lecteur vido libre sous license GPL pour les systmes de
type unix. Nous supportons les flux mpeg-2 et mpeg-1 (audio + vido 
multiplexs), ventuellement le mpeg-4 et d'autres formats peuvent
tres ajouts.

xine joue les donnes vido et audio de vido mpeg-2 et synchronise
la lecture des deux. En fonction des proprites du flux mpeg,
la lecture aura besoin de plus ou moins de puissance du processeur, 
100% de restitution de trame a t vus sur un systme PII 400MHz.

%prep
%setup -n xine-0.4.01

%build
./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
#mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps
make install-strip prefix=$RPM_BUILD_ROOT%{prefix}
#cp doc/*.xpm $RPM_BUILD_ROOT/usr/include/X11/pixmaps

#%post
#/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/xine
%{prefix}/man/man1/xine.*
%{prefix}/man/fr/man1/xine.*
%{prefix}/lib/xine/plugins/*.la
%{prefix}/lib/xine/plugins/*.so
%{prefix}/share/xine/skins/*
%{prefix}/share/doc/xine/*

%changelog
* Thu Jan 11 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
